Applications
Now Reading
Next major release of Adobe Creative Cloud won’t support old Operating Systems
0

Next major release of Adobe Creative Cloud won’t support old Operating Systems

by Samuel OnyikeSeptember 1, 2018

This is Bad news or Good news but it depends on how you want to take it.

Latest update from Adobe reveals that next major Abobe creative cloud release won’t support old Operating systems. The company looks to focus on modern OSes in order to take advantage of their features. Sorry, if that was bad news for you.

Adobe won’t support Windows 8.1, Windows 10 v1511 and Windows 10 v1607. Only Windows 10 v1709 or higher gets the deal. Microsoft stopped windows 8.1 general support on January 2018. Windows 7 gets a preferential treatment as Adobe CC next release will still be supported on it. Meanwhile the makers of the OS stopped support way back 2015. Good news, I think.

Do we downgrade our Windows version if we’re running the unsupported Windows version ?

Creative cloud

Creative cloud

Likewise, Adobe latest CC release won’t be supported on MAC OS v10.11. Its quite understandable, Apple just announced Mac OS v10.14 for the fall of 2018. And it has always being Adobe’s policy to support only the three most recent Mac OS.

This update applies to all Adobe CC application including Adobe audio and video tools.

Don’t take it hard on Adobe, they have a good reason why would force the update ?

Focusing our efforts on more modern versions of Windows and Mac operating systems allows us to concentrate on developing the features and functionality most requested by members, while ensuring peak performance that takes advantage of modern hardware.  Adobe

What's your reaction?
Thumbs up
0%
Surprised
0%
Happy
0%
Sad
100%
Hate it
0%
About The Author
Samuel Onyike
Epigrammatic tech-savvy writer. He loves to write on the ever changing technology topics and sees the human mind as the first virtual reality. Samuel doesn't need a manual to use a device even for the first time. He'll beat you in football games.

You must log in to post a comment